Loading...
Searching...
No Matches
seqan3::align_cfg::extension_score Struct Reference
Sequence Alignment » Configuration

A strong type of underlying type int32_t that represents the score (usually negative) of any character against a gap character. More...

`#include <seqan3/alignment/configuration/align_config_gap_cost_affine.hpp>`

Inheritance diagram for seqan3::align_cfg::extension_score:
[legend]

## Public Types

using | base_t = seqan3::detail::strong_type<int32_t, extension_score, seqan3::detail::strong_type_skill::convert>
| The type of the strong type base class.

## Detailed Description

A strong type of underlying type int32_t that represents the score (usually negative) of any character against a gap character.

See also
  seqan3::align_cfg::gap_cost_affine

The documentation for this struct was generated from the following file:

- align_config_gap_cost_affine.hpp

Hide me